petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatNullSpaceGetVecs

get vectors defining the null space

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNullSpaceGetVecs(MatNullSpace sp,PetscBool *has_const,PetscInt *n,const Vec **vecs)

Not Collective

### Input Arguments

sp -null space object

### Output Arguments

| has_cnst | - PETSC_TRUE if the null space contains the constant vector, otherwise PETSC_FALSE
| n | - number of vectors (excluding constant vector) in null space
| vecs | - orthonormal vectors that span the null space (excluding the constant vector)

### Notes

These vectors and the array are owned by the MatNullSpace and should not be destroyed or freeded by the caller

### See Also

MatNullSpaceCreate(), MatGetNullSpace(), MatGetNearNullSpace()

### Level

developer

### Location

src/mat/interface/matnull.c

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
src/snes/examples/tutorials/ex62.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages